¿Instalar el package debian en ubuntu?

¿Quiero instalar esto en Ubuntu 10 o 11, cualquier manera fácil de hacer eso?

http://packages.debian.org/sid/ruby1.9.1-full

(relacionado: Estoy sorprendido de que no puedo encontrar un package de tercero para ubuntu ruby ​​1.9.2 – hay uno por ahí?)

2 Solutions collect form web for “¿Instalar el package debian en ubuntu?”

Usted no especifica qué versión de Ubuntu, que hace cualquier tipo de recomendación bastante insignificante (ni siquiera podemos comprobar que las dependencies del package se verán satisdates en Ubuntu).

Si no está ejecutando una versión de Ubuntu que esté bastante bien sincronizada con Debian sid, hay una buena probabilidad de que el package ni siquiera se instale – requerirá más nuevos sonames de bibliotecas que su versión de Ubuntu, y que impedirá que el package se ejecute nunca correctamente. Si las dependencies del package coinciden, entonces se instalará, pero podría funcionar correctamente. Puedes probarlo, pero … sí. No confiaría en mis sistemas de producción.

En general, no es una buena idea intentar instalar los packages de Debian en Ubuntu, y viceversa – en los casos en que el empaque diverge, usted está haciendo un montón de trabajo para usted abajo de la línea porque está esencialmente ejecutando un completamente ruta de actualización no probado, lo que es probable que te muerda en el culo. En este caso, también se le privará de cualquier tipo de actualizaciones de security o mejoras generales, que ejecutan packages sid, es posible que desee.

Una palabra general de precaución: nunca, jamás, jamás ejecute cualquier tipo de dpkg --force-<something> less que sepa lo que está haciendo (y si alguien le está diciendo que lo haga, por definición no lo hace saber lo que estás haciendo). Es la ruta más rápida hacia un sistema sutilmente roto del que nunca podrás recuperarte.

Puede comstackrlo desde el origen: sólo ./configure , make y sudo make install .

  • pgAdmin no puede conectarse a PostgreSQL 9.1
  • Reglas iptables duplicadas
  • ¿Por qué 'aptitude safe-upgrade' hace que el arranque de Ubuntu se bloquee en "Esperando el sistema de files raíz"?
  • Deshacer chmod 777
  • ¿Por qué no puedo crear un file en una carpeta que tengo con chmod 655, pero 755 funciona?
  • ¿La mayoría de herramientas funcionales del análisis del logging?
  • ipv6 en el server Ubuntu - ¿cómo puedo asegurar?
  • El server no se iniciará. IPMI mostrando pantalla azul con Ubuntu Linux
  • ¿Cómo puedo depurar lo que está causando errores lighttpd con fastcgi?
  • Configurando un simple clúster tomcat6 en ubuntu 12.04 usando mod_jk: la página de estado no se mostrará
  • Acceso de retransmisión denegado (en respuesta al command RCPT TO) Problema de Postfix
  • El linux y los temas del servidor de Windows, como ubuntu, centos, apache, nginx, debian y consejos de red.